Skip to main content
GET
Get a card transaction

Path Parameters

card_transaction_id
string<uuid>
required

The card transaction ID.

Response

The request has succeeded.

One aggregate card-payment lifecycle.

id
string<uuid>
required

Card transaction ID.

account_id
string<uuid>
required

Account affected by the card transaction.

card_id
string<uuid>
required

Card used for the card transaction.

status
enum<string>
required

Current public lifecycle state.

Available options:
authorized,
cleared,
reversed,
cancelled,
declined,
unknown
direction
enum<string>
required

Whether money leaves or returns to the account.

Available options:
debit,
credit
amounts
object
required

Current billing and merchant amounts.

description
string | null
required

Human-readable card-network description, when supplied.

merchant
object | null
required

Merchant data, or null when no merchant data was supplied.

authorization_code
string | null
required

Authorization code returned by the card network, when supplied.

decline_reason
object | null
required

Decline details. Null unless status is declined.

created_at
string<date-time>
required

When the card-payment lifecycle was first recorded.

updated_at
string<date-time>
required

When the lifecycle, status, or amounts last changed.